Memtable.MemtableUnfilteredPartitionIterator (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Class Memtable.MemtableUnfilteredPartitionIterator

- java.lang.Object
- - org.apache.cassandra.db.partitions.AbstractUnfilteredPartitionIterator
  - - org.apache.cassandra.db.Memtable.MemtableUnfilteredPartitionIterator

- All Implemented Interfaces:
    java.lang.AutoCloseable, java.util.Iterator<UnfilteredRowIterator>, BasePartitionIterator<UnfilteredRowIterator>, UnfilteredPartitionIterator, CloseableIterator<UnfilteredRowIterator>
  Enclosing class:
    Memtable

      public static class Memtable.MemtableUnfilteredPartitionIterator
      extends AbstractUnfilteredPartitionIterator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemtableUnfilteredPartitionIterator(ColumnFamilyStore cfs, java.util.Iterator<java.util.Map.Entry<PartitionPosition,AtomicBTreePartition>> iter, boolean isForThrift, int minLocalDeletionTime, ColumnFilter columnFilter, DataRange dataRange)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMinLocalDeletionTime()`
    `boolean` | `hasNext()`
    `boolean` | `isForThrift()` Whether that partition iterator is for a thrift queries.
    `CFMetaData` | `metadata()`
    `UnfilteredRowIterator` | `next()`

    - ### Methods inherited from class org.apache.cassandra.db.partitions.AbstractUnfilteredPartitionIterator

      `close, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### MemtableUnfilteredPartitionIterator

          public MemtableUnfilteredPartitionIterator(ColumnFamilyStore cfs,
                                                     java.util.Iterator<java.util.Map.Entry<PartitionPosition,AtomicBTreePartition>> iter,
                                                     boolean isForThrift,
                                                     int minLocalDeletionTime,
                                                     ColumnFilter columnFilter,
                                                     DataRange dataRange)

  - ### Method Detail

    - #### isForThrift

          public boolean isForThrift()

      Description copied from interface: `UnfilteredPartitionIterator`
      Whether that partition iterator is for a thrift queries.

      If this is true, the partition iterator may return some empty UnfilteredRowIterator and those should be preserved as thrift include partitions that "exists" (have some cells even if this are actually deleted) but have nothing matching the query.

      Returns:
        whether the iterator is for a thrift query.

    - #### getMinLocalDeletionTime

          public int getMinLocalDeletionTime()

    - #### metadata

          public CFMetaData metadata()

    - #### hasNext

          public boolean hasNext()

    - #### next

          public UnfilteredRowIterator next()

Copyright © 2018 The Apache Software Foundation